<?php
include_once('php/php_headers.php');
$scripts = '<script src="js/formfunctions.js" type="text/javascript"></script>';
html_header('Προσωπικά στοιχεία',$scripts);
/*στοιχεια*/
$msg = null;
echo '<form method="post" accept-charset="utf-8" class="more_left_8 width">
<h1>Προσωπικά στοιχεία:&nbsp;
<a href="my_info.php?edit"><img src="images/icon-edit.png" title="Κάντε κλικ για να επεξεργαστείτε τα στοιχεία σας!" /></a>
<a href="my_info.php?pass"><img src="images/icon-password.png" title="Κάντε κλικ για να επεξεργαστείτε τον κωδικό σας!"/></a>
</h1><br />';
$id = $_SESSION['ekdhlos_userid'];
$f_name = $_SESSION['ekdhlos_f_name'];
$l_name = $_SESSION['ekdhlos_l_name'];
$email = get('email','users','id',$id,'one');
/*---------------------------------------------------------------MHNYMATA-------------------------------------------------*/
	data_on();
	$sql = "SELECT * FROM message WHERE user_id='$id'";
	$result = mysql_query($sql) or die('error'); 
	$mnm_sql = mysql_num_rows($result);
	data_off();
	if($mnm_sql ==0){
		$mnm = '<a href="insert_messages.php" title="Κάντε κλικ για να στείλετε ένα μήνυμα!">Δεν έχετε στείλει ακόμα μηνύματα!</a>';
	}
	else{
		$mnm = '<a href="edit_messages.php" title="Κάντε κλικ για να δείτε τα μηνύματα σας!">'.$mnm_sql.'</a>';
		$_SESSION['typem'] = "all";
		$_SESSION['search_termm'] = "";
		$_SESSION['edit_messages'] = get("","message",$_SESSION['typem'],$_SESSION['search_termm'],"all");
		$_SESSION['page'] = 1;
	}
/*------------------------------------------------------------------------------------------------------------------------*/


	$devs = get('simple','device','','','all');
	$groups = get('user','groups','user_id',$id,'all');

if(!isset($_GET['edit'])){
	echo '
	<ol class="hh2">
		<li><label for="fielda">Όνομα</label></li>
		<li id="fielda"><h2>'.$f_name.'</h2></li>
    </ol>
	<ol class="hh2">
		<li><label for="fields">Επώνυμο: </label></li>
		<li id="fields"><h2>'.$l_name.'</h2></li>
    </ol>
	<ol class="hh2">
		<li><label for="fieldd">Email: </label></li>
		<li id="fieldd"><h2>'.$email.'</h2></li>
    </ol>';
}
if(isset($_GET['edit'])){
	if(isset($_POST['edit'])){
		$insert1=$insert2=$insert3=$insert4=$insert5=false;
		$f_name  = clean($_POST['f_name']);
		$l_name  = clean($_POST['l_name']);
		/*$email   = clean($_POST['email']);*/
		$email   = get('email','users','id',$id,'one');
		
		$level = get('level','users','id',$id,'one');
		
		$enable = get('enable','users','id',$id,'one');
		
		if(!isset($_POST['f_name']) || empty($_POST['f_name'])) $no_f_name = '<h3 class="triangle-border left more_top">Το όνομα απαιτείται!</h3>';
		else if (preg_match("/[^A-Za-z0-9\' ']/", $_POST['f_name']))$no_f_name = '<h3 class="triangle-border left more_top">Μη αποδεκτοί χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['f_name'], 'UTF-8') <2) $no_f_name = '<h3 class="triangle-border left more_top">Εισάγετε πάνω από δύο χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['f_name'], 'UTF-8') >=20) $no_f_name = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι 20 χαρακτήρες!</h3>';
		else if ((invalid_char($_POST['f_name']) <> null)){$no_f_name = invalid_char($_POST['f_name']);}
		else $insert1 = true;
		
		if(!isset($_POST['l_name']) || empty($_POST['l_name'])) $no_l_name = '<h3 class="triangle-border left more_top">Το επώνυμο απαιτείται!</h3>';
		else if (preg_match("/[^A-Za-z0-9\' ']/", $_POST['l_name']))$no_l_name = '<h3 class="triangle-border left more_top">Μη αποδεκτοί χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['l_name'], 'UTF-8') <2) $no_l_name = '<h3 class="triangle-border left more_top">Εισάγετε πάνω από δύο χαρακτήρες!</h3>';
		else if(mb_strlen($_POST['l_name'], 'UTF-8') >=20) $no_l_name = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι 20 χαρακτήρες!</h3>';
		else if ((invalid_char($_POST['l_name']) <> null)){$no_l_name = invalid_char($_POST['l_name']);}
		else $insert2 = true;
		/*
		if(!isset($_POST['email']) || empty($_POST['email'])) $no_email = '<h3 class="triangle-border left more_top">Το email απαιτείται!</h3>';
		else if (!preg_match("/^[_\.0-9a-zA-Z-]+@([0-9a-zA-Z][0-9a-zA-Z-]+\.)+[a-zA-Z]{2,6}$/i", $_POST['email'])) 
		$no_email = '<h3 class="triangle-border left more_top">Το email δεν είναι έγκυρο!</h3>';
		else if(check_mail($_POST['email']))
		$no_email = '<h3 class="triangle-border left more_top">Το email υπάρχει ήδη!</h3>';
		else $insert3 = true;*/

		if($insert1 && $insert2/* && $insert3*/){
			if (update('users',$f_name,$l_name,$email,$level,$enable,$id)){
				$msg = '<br /><div id="msg_ok">Η ενημέρωση έγινε με επιτυχία!</div>'; 
				$_SESSION['ekdhlos_f_name']=$f_name;
				$_SESSION['ekdhlos_l_name']=$l_name;
				echo "<script>setTimeout('window.location.href=\"my_info.php\"', 2000)</script>";
			}
			else $msg = '<br /><div id="msg_error">Σφάλμα κατά την ενημέρωση!</div>';
		}
	}
echo'
<ol class="hh2">
      <li><label for="field1">Όνομα:</label></li>
      <li><input type="text" onkeyup="l_name_validator2(); f_name_validator2();" id="field1" class="field" name="f_name" value="'.$f_name.'" required/></li>
      <li id="f_msg"><span id="f_validate">'.$no_f_name.'</span></li>
    </ol>
    <ol class="hh2">
      <li><label for="field2">Επώνυμο:</label></li>
      <li><input type="text" onkeyup="l_name_validator2(); f_name_validator2();" id="field2" class="field" name="l_name" value="'.$l_name.'" required/></li>
      <li id="l_msg"><span id="l_validate">'.$no_l_name.'</span></li>
    </ol>
	<ol class="hh2">
		<li><label for="fieldd">Email: </label></li>
		<li id="fieldd"><h2>'.$email.'</h2></li>
    </ol>
   ';
}
if(isset($_GET['pass'])){
	if(isset($_POST['edit_pass'])){
		$insert1=$insert2=false;
		$pass    = clean($_POST['pass']);
		$pass2   = clean($_POST['pass2']);
		
		if(!isset($_POST['pass'] ) || empty($_POST['pass'] )) $no_pass = '<h3 class="triangle-border left more_top">Το password απαιτείται!</h3>';
		else if(mb_strlen($_POST['pass'],ENCODING)<5) $no_pass = '<h3 class="triangle-border left more_top">Απαιτούνται τουλάχιστον 5 χαρακτήρες!</h3>';
		else $insert1 = true;
		
		if(!isset($_POST['pass2'] ) || empty($_POST['pass2'] )) $no_pass2 = '<h3 class="triangle-border left more_top">Η επιβεβαίωση password απαιτείται!</h3>';
		else if(mb_strlen($_POST['pass2'],ENCODING)<5) $no_pass2 = '<h3 class="triangle-border left more_top">Απαιτούνται τουλάχιστον 5 χαρακτήρες!</h3>';
		else if(isset($_POST['pass']) && ($_POST['pass'] != $_POST['pass2'])) $no_pass2 = '<h3 class="triangle-border left more_top">Τα password δεν ταιριάζουν!</h3>';
		else $insert2 = true;
		
		if($insert1 && $insert2){
			if (update('users',sha1($pass.'ekdhlos'),$id,"change_password")){
				$msg = '<br /><div id="msg_ok">Η ενημέρωση έγινε με επιτυχία!</div>';
				echo "<script>setTimeout('window.location.href=\"my_info.php\"', 2000)</script>";				
			}
			else $msg = '<br /><div id="msg_error">Σφάλμα κατά την ενημέρωση!</div>';
		}
	}
echo'
	<ol class="hh2">
		  <li><label for="field4">Password:</label></li>
		  <li><input type="password" onkeyup="pass1_validator2(); pass2_validator2();" id="field4" class="field" name="pass" value="'.$pass.'" required/></li>
		  <li id="p1_msg"><span id="p1_validate">'.$no_pass.'</span></li>
		</ol>
		<ol class="hh2">
		  <li><label for="field5">Επιβεβαίωση:</label></li>
		  <li><input type="password" onkeyup="pass1_validator2(); pass2_validator2();" id="field5" class="field" name="pass2" value="'.$pass2.'" required/></li>
		  <li id="p2_msg"><span id="p2_validate">'.$no_pass2.'</span></li>
		</ol>
   ';
}

echo'<ol class="hh2">
		<li><label for="field">Μέλος από: </label></li>
		<li><h2>'.fix_date(get('insert_date','users','id',$_SESSION['ekdhlos_userid'],'one')).'</h2></li>
	</ol>
	<ol class="hh2">
		<li><label for="field">Μηνύματα: </label></li>
		<li><h2>'.$mnm.'</h2></li>
	</ol>';
/*---------------------------------------------------------------------SYSKEYES--------------------------------------------------------------------*/

		if(sizeof($devs)==0){
			echo '
	<ol class="hh2">
		<li><label for="field">Συσκευές: </label></li>
		<li><h2><a href="insert_devices.php" title="Κάντε κλικ για να εισάγετε συσκευές">Δεν έχετε εισάγει ακόμα συσκεύες!</a></h2></li>
	</ol>';
		}
		else if(sizeof($devs)==1){
			if($devs[0]['status']=='no'){
				echo '
	<ol class="hh2">
		<li><label for="field">Συσκευή: </label></li>
		<li><h2><a href="edit_devices.php?edit_id='.$devs[0]['id'].'" title="Κάντε κλικ για να επεξεργαστείτε τη συσκευή"><img src="images/exclamation-red.png" title="Η συσκευή έχει τεθεί ως ανενεργή!" />'.$devs[0]['id'].'</a></h2></li>
	</ol>';
			}
			else{
				echo '
	<ol class="hh2">
		<li><label for="field">Συσκευή: </label></li>
		<li><h2><a href="edit_devices.php?edit_id='.$devs[0]['id'].'" title="Κάντε κλικ για να επεξεργαστείτε τη συσκευή">'.$devs[0]['id'].'</a></h2></li>
	</ol>';
			}
		}
		else if(sizeof($devs)>1){
			echo '
	<ol class="hh">
		<li><label for="field">Συσκευές: </label></li>
		<li><h2>';
			$count = 0;
			foreach($devs as $d){
				if($d['status']=='no'){
					echo'
					<a href="edit_devices.php?edit_id='.$d['id'].'" title="Κάντε κλικ για να επεξεργαστείτε τη συσκευή">
					<img src="images/exclamation-red.png" title="Η συσκευή έχει τεθεί ως ανενεργή!" />'.$d['id'].'</a>';
				}
				else{
					echo'
					<a href="edit_devices.php?edit_id='.$d['id'].'" title="Κάντε κλικ για να επεξεργαστείτε τη συσκευή">'.$d['id'].'</a>';				
				}
				$count ++;
				if($count%4==0){
					echo',<br />';
				}
				else if($count<>sizeof($devs)){
					echo',';
				}
			}
		}
		echo'</h2></li>
	</ol>';
/*-------------------------------------------------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------OMADES----------------------------------------------------------------------*/
	if(sizeof($groups)==0){
		echo '
	<ol class="hh2">
		<li><label for="field">Ομάδες: </label></li>
		<li><h2><a href="insert_groups.php" title="Κάντε κλικ για να εισάγετε ομάδες">Δεν έχετε εισάγει ακόμα ομάδες!</a></h2></li>
	</ol>';
	}
	else if(sizeof($groups)==1){
		if($groups[0]['status']=='no'){
			echo '
	<ol class="hh2">
		<li><label for="field">Ομάδα: </label></li>
		<li><h2><a href="edit_groups.php?edit_id='.$groups[0]['id'].'" title="Κάντε κλικ για να επεξεργαστείτε την ομάδα">
		<img src="images/exclamation-red.png" title="Η συσκευή έχει τεθεί ως ανενεργή!" />'.$groups[0]['g_name'].'</a></h2></li>
	</ol>';
		}
		else{
			echo '
	<ol class="hh2">
		<li><label for="field">Ομάδα: </label></li>
		<li><h2><a href="edit_groups.php?edit_id='.$groups[0]['id'].'" title="Κάντε κλικ για να επεξεργαστείτε την ομάδα">'.$groups[0]['g_name'].'</a></h2></li>
	</ol>';
		}
	}
	else if(sizeof($groups)>1){
		echo '
	<ol class="hh">
		<li><label for="field">Ομάδες: </label></li>
		<li><h2>';
		$count = 0;
		foreach($groups as $g){
			if($g['status']=='no'){
				echo'
				<a href="edit_groups.php?edit_id='.$g['id'].'" title="Κάντε κλικ για να επεξεργαστείτε την ομάδα">
				<img src="images/exclamation-red.png" title="Η ομάδα έχει τεθεί ως ανενεργή!" />'.$g['g_name'].'</a>';
			}
			else{
				echo'
				<a href="edit_groups.php?edit_id='.$g['id'].'" title="Κάντε κλικ για να επεξεργαστείτε την ομάδα">'.$g['g_name'].'</a>';				
			}
			$count ++;
			if($count%4==0){
				echo',<br />';
			}
			else if($count<>sizeof($groups)){
				echo',';
			}
		}
	}
	echo'</h2></li>
	</ol>';

/*-------------------------------------------------------------------------------------------------------------------------------------------------*/
if(isset($_GET['edit'])){
echo'<input type="submit" onclick="checkall2();" name="edit" id="submit" class="button" value="Αλλαγή">';
}
if(isset($_GET['pass'])){
echo'<input type="submit" name="edit_pass" onclick="pass1_validator2(); pass2_validator2(); checkall3();" id="submit" class="disable" value="Αλλαγή">';
}
echo $msg.'</form><br />';

html_footer();
?>